<?php
require_once('conexion_servicios.php');


session_start();
					
		if ( isset($_SESSION['usuario']))
        {
  
			$conexion1 = new mysqli($host, $usuario, $password, $base_datos);
			$query_fila_general = $conexion1->query("SELECT * FROM tblfila inner join tblusuarios on tblfila.CedulaUsuario=tblusuarios.Cedula where tblfila.EstadoServicio=1 and tblfila.CedulaFunAtencion=0 and tblfila.CodigoRol="."'".$_SESSION['rol_filas']."' order by EsPrioritario desc, FechaHoraIngreso asc");
			$array_fila_general = $query_fila_general->fetch_assoc();						
			
			
		}


		else{		
		
					echo '<script language = javascript>
					alert("¡¡¡¡Ud aún no ha iniciado sesión!!!!")
					self.location = "login.php"
					</script>';	
		
			
		}
			

date_default_timezone_set("America/Bogota");



?>


<!DOCTYPE html>
<html lang="es">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link href="css/estilos1.css" rel="stylesheet" type="text/css" />
	<link rel="shortcut icon" href="imagenes/favicon.png">
	<title>Fila por rol</title>
</head>

<body>
<header>
<div class="encabezado"></div>
        <nav class="menu">
        	<ul>
            	<li><a href="general.php">Inicio</a></li>
                <li><a href="registrar.php">Registrar servicio</a></li>
                <li><a href="fila_general.php">Ver fila general</a></li>
                <li><a href="fila_rol.php">Ver fila para rol</a></li>
                <li><a href="atencion.php">Atención pendiente</a></li>
                <li><a href="atencion_general.php">Atención general pendiente</a></li>
				<li><a href="modificar_rol.php">Modificar rol</a></li>              
            </ul>
        
        </nav>
</header>

<div style="display: flex; justify-content: space-between; width:50%; margin-top:10px;">
<?php echo("<strong> Usuario: </strong>".$_SESSION['usuario']." <strong> Rol: </strong>".$_SESSION['Rol']);?>
<a href="cerrar_sesion.php"><strong>Cerrar Sesión</strong></a>
</div>

<br/>
<div class="cuerpo">
<form form action="atender.php" class="formulario" method="POST">
<table>

	<tr>
		<td><strong><center>Cédula Usuario</center></strong></td>
        <td><strong><center>Usuario</center></strong></td>
		<td><strong><center>Telefono</center></strong></td>
  		<td><strong><center>Tipo de servicio</center></strong></td>
        <td><strong><center>Hora ingreso</center></strong></td>
        <td><strong><center>Tiempo espera</center></strong></td>
        <td><strong><center>Es prioritario</center></strong></td>
		<td><strong><center>Activo a CCF</center></strong></td>  
	</tr>
    
<?php  do { ?>

<?php  
 $fecha1 = date_create(date("Y-m-d H:i:s"));
 $fecha2 = date_create($array_fila_general['FechaHoraIngreso']);
 ?>
 
 <?php if($array_fila_general['ActivoCCF']==1)
	{?>
		<tr style="background:rgb(252, 198, 198);">
	<?php }
	
	else
	{?>
		<tr>
	<?php } ?>
	
		<td><center><?php echo $array_fila_general['CedulaUsuario']; ?></center></td>
        <td><center><?php echo $array_fila_general['NombreApellido']; ?></center></td>
		<td><center><?php echo $array_fila_general['TelefonoUsuario']; ?></center></td>
        <td><center><?php echo $array_fila_general['CodigoRol']; ?></center></td>
        <td><center><?php echo $array_fila_general['FechaHoraIngreso']; ?></center></td>
        <td><center><?php echo (date_diff($fecha1, $fecha2)->format('%h Horas %i Minutos'));?></center></td>
        <td><center><?php 		
		if ($array_fila_general['EsPrioritario']==1)
		{
			echo "SI";	
		}
		else
		{
			echo "NO";
		}
		
		?></center></td>

		<td><center><?php 		
		if ($array_fila_general['ActivoCCF']==1)
		{
			echo "SI";	
		}
		else
		{
			echo "NO";
		}
		
		?></center></td>
	</tr>
    
 <?php } while ($array_fila_general = $query_fila_general->fetch_assoc()); ?> 

<tr>
<td colspan="8"><input class="boton" type="submit" name="Aceptar" value="Atender turno"></td>
</tr>
</table>
</form>
</div>
</body>
</html>